/*
 * ft_timer.h
 *
 *  Created on: 27-Sep-2022
 *      Author: Invcuser52
 */

#ifndef _FT_TIMER_H_
#define _FT_TIMER_H_

#include "common.h"

#define FT_TICK_TIME_IN_MS 1000


void ft_update_timer(void);
void ft_reset_timer(void);
void ft_set_timer(uint16_t set);
void ft_stop_timer();
uint8_t ft_get_flag(void);
void ft_init_timer(void);
uint16_t ft_get_previous_timer(void);


#endif /* _FT_TIMER_H_ */
